#ifndef USERDATA_H
#define USERDATA_H

#include <string>
using namespace std;

enum _fixtureUserDataType {
    //FUD_NARRATIVE_SENSOR,
    FUD_EVENT_SENSOR,
    FUD_KITTEN_FOOT_SENSOR,//sheesh what am I doing....
};

enum _eventActorId {
    EA_PLAYER = 0,
    EA_BUDDY = 1,
    EA_CAR,
};

class FixtureUserData
{
public:
    FixtureUserData();

    virtual int getType() = 0;
};

/*class NarrativeSensor : public FixtureUserData {
public:
    //string m_text;
    bool m_deleteWhenTriggered;
public:
    int getType() { return FUD_NARRATIVE_SENSOR; }
};*/

class EventSensor : public FixtureUserData {
public:
    int id;//passed to script
    //string m_text;
    //bool m_deleteWhenTriggered;
public:
    int getType() { return FUD_EVENT_SENSOR; }
};

class KittenFootSensor : public FixtureUserData {
public:
    struct kitten* m_kitten;
public:
    int getType() { return FUD_KITTEN_FOOT_SENSOR; }
};

#endif // USERDATA_H
